Bug Hunting Session
Bug 40021 - LibreOffice won't open CSV correctly if has an html tag.
Summary: LibreOffice won't open CSV correctly if has an html tag.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:3.6.0 target:3.5.3
Keywords: regression
Depends on:
Blocks:
 
Reported: 2011-08-11 10:10 UTC by JorSol
Modified: 2016-04-24 20:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
import options dialog (44.91 KB, image/png)
2011-08-11 10:10 UTC, JorSol
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JorSol 2011-08-11 10:10:40 UTC
Created attachment 50138 [details]
import options dialog

A system where I work export files in CSV, but it exports some headers with an <br> tag like this:

"Prueba <br> test", "Exporting", "Numeros <br> aleatorios"
"Jadfg","Testadf adkjfsads",1456235
"aoijgn","Teoingaiun oinoiajdf",465357

Previusly LibreOffice (OpenOffice.org) open the files without problems, it shows the "import text" dialog. Now when I try to open the same file with a recent version of LibreOffice it shows "import options" dialog.
Comment 1 JorSol 2011-09-21 10:32:55 UTC
Nobody care about this? is just anoying that when I try to open a csv that previusly open fine, now it won't unless I remove the characters or open explicity like "CSV Text".
Comment 2 Björn Michaelsen 2011-12-23 12:37:21 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 JorSol 2011-12-23 13:15:16 UTC
The problems still persist in 3.5.0 beta1
Comment 4 Not Assigned 2012-04-04 17:04:13 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a5eadc6aaafec92df23c57e258882a2c98ece0ad

resolved fdo#40021 don't let CSV import get confused by erroneous HTML detection
Comment 5 Not Assigned 2012-04-05 07:41:44 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2a26cf9dab637c292e431d5cdf7bab5bbda571d&g=libreoffice-3-5

resolved fdo#40021 CSV import got confused by erroneous HTML detection


It will be available in LibreOffice 3.5.3.
Comment 6 Jean-Baptiste Faure 2016-04-24 20:39:26 UTC
Version set from comment #3.

Best regards. JBF